Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor.spelling
Interface IPreferenceStatusMonitor

    public interface IPreferenceStatusMonitor

A monitor that can be notified about status changes.

This interface is intended to be implemented by clients.

Since:
  3.1
See Also:
  `ISpellingPreferenceBlock.initialize(IPreferenceStatusMonitor)`

Method Summary
`void` `statusChanged(IStatus status)` Notifies this monitor that the preference page's status has changed the given status.

Method Detail

### statusChanged

    void statusChanged(IStatus status)

  Notifies this monitor that the preference page's status has changed the given status.

  Parameters:
    `status` - the new status

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.